<?php
//
// Chapter 10. pg 278
//
function generate_navigation($tag) {
  list($topic, $subtopic) = explode('-', $tag, 2);
  if(function_exists("generate_navigation_$topic")) {
    return call_user_func("generate_navigation_$topic", $subtopic);
  }
  else {
    return 'unknown';
  }
}

function generate_navigation_news($subtopic) {
  
}


require_once 'Project.inc';
function generate_navigation_project($name) {
  try {
    if(!$name) {
      throw new Exception();
    }
    $project = new Project($name);
  }
  catch (Exception $e){
    return 'unkonwn project';
  }
  ?>
<table>
  <tr>
    <td>Author:</td><td><?= $project->author ?>
  </tr>
  <tr>
    <td>Summary:</td><td><?= $project->short_description ?>
  </tr>
  <tr>
    <td>Availability:</td><td><a href="<?= $project->file_url ?>">click here</a></td>
  </tr>
  <tr>
    <td><?= $project->long_description ?></td>
  </tr>
</table>
  <?php
}
?>
