<?php
//
// Chapter 2, pg. 42-43
//
class IO {
	public $fh = false;
	public function __construct($filename, $flags) 
	{
		$this->fh = fopen($filename, $flags);
	}
	public function __destruct() 
	{
		if($this->fh) {
			fclose($this->fh);
		}
	}
	public function read($length) 
	{
		if($this->fh) {
			return fread($this->fh, $length);
		}
	}
	/* ... */
}
