<?php
//
// Chapter 2, pg. 56-57
//
class Singleton {
  private static $instance = false;
  public $property;
  
  private function __construct() {}
  public static function getInstance() 
  {
    if(self::$instance === false) {
      self::$instance = new Singleton;
    }
    return self::$instance;
  }
}

$a = Singleton::getInstance();
$b = Singleton::getInstance();
$a->property = "hello world";
print $b->property;
?>
